﻿using System;
using Common.MVVM.ViewModels;
using MvvmBinding.Models;
using MvvmBinding.ViewModels.Dashboard.Interfaces;

namespace MvvmBinding
{
    public class ShellViewModel : ViewModelWithWindowBase<ShellModel>, IShell
    {

        /// <summary>
        /// Constructor.
        /// </summary>
        public ShellViewModel(IDashboardViewModel dashboardViewModel)
        {
            if (dashboardViewModel == null) throw new ArgumentNullException(nameof(dashboardViewModel));

            dashboardViewModel.Initialize();

            CurrentView = dashboardViewModel.GetUserControlView();

            ShowWindow();
        }


    }
}
